const ENTERPRISE_PATH = '/recruit/enterprise'

// 是否是企业路由
export const getIsEnterprise = () => {
  const PATH_NAME = window.location.pathname
  if (PATH_NAME === '/enterpriseVerification') {
    return true
  }
  return PATH_NAME.includes(ENTERPRISE_PATH)
}

// 获取token
export const getToken = (index = 2) => { // index=1: 使用招聘token; index=2: 使用求职token
  const arr = ['ENT_ACCESS_TOKEN', 'PER_ACCESS_TOKEN']
  return localStorage.getItem(arr[index-1])
}

// 设置token
export const setToken = (token, index = 2) => { // index=1: 招聘token; index=2: 求职token
  return localStorage.setItem((index === 1 ? 'ENT_ACCESS_TOKEN' : 'PER_ACCESS_TOKEN'), token)
}

// 清除token
export const removeToken = () => {
  localStorage.removeItem('ENT_ACCESS_TOKEN')
  localStorage.removeItem('PER_ACCESS_TOKEN')
  localStorage.removeItem('ENT_REFRESH_TOKEN')
  localStorage.removeItem('PER_REFRESH_TOKEN')
}
// 获取刷新token
export const getRefreshToken = (index) => {
  return localStorage.getItem(index === 1 ? 'ENT_REFRESH_TOKEN' : 'PER_REFRESH_TOKEN')
}

// 设置刷新token
export const setRefreshToken = (refreshToken, index = 2) => { // index=1: 招聘token; index=2: 求职token
  return localStorage.setItem((index === 1 ? 'ENT_REFRESH_TOKEN' : 'PER_REFRESH_TOKEN'), refreshToken)
}

// 租户ID
export const getTenantId = () => {
  return localStorage.getItem('tenantId')
}

export const setTenantId = (username) => {
  localStorage.setItem('tenantId', username)
}
